# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{webby}
  s.version = "0.9.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Tim Pease"]
  s.date = %q{2009-04-05}
  s.description = %q{*Webby* is a fantastic little website management system. It would be called a *content management system* if it were a bigger kid. But, it's just a runt with a special knack for transforming text. And that's really all it does - manages the legwork of turning text into something else, an *ASCII Alchemist* if you will.  Webby works by combining the contents of a *page* with a *layout* to produce HTML. The layout contains everything common to all the pages - HTML headers, navigation menu, footer, etc. - and the page contains just the information for that page. You can use your favorite markup language to write your pages; Webby supports quite a few.  Install Webby and try it out!}
  s.email = %q{tim.pease@gmail.com}
  s.executables = ["webby", "webby-gen"]
  s.extra_rdoc_files = ["History.txt", "README.rdoc", "bin/webby", "bin/webby-gen", "lib/webby/tasks/build.rake", "lib/webby/tasks/create.rake", "lib/webby/tasks/deploy.rake", "lib/webby/tasks/growl.rake", "lib/webby/tasks/validate.rake", "spec/data/hooligans/bad_meta_data_1.txt", "spec/data/hooligans/bad_meta_data_2.txt", "spec/data/outline/basic.txt", "spec/data/site/content/_partial.txt", "spec/data/site/content/index.txt", "spec/data/site/content/photos.txt", "spec/data/site/content/tumblog/200806/the-noble-chicken/index.txt", "spec/data/site/content/tumblog/200807/historical-perspectives-on-the-classic-chicken-joke/index.txt", "spec/data/site/content/tumblog/200807/mad-city-chickens/index.txt", "spec/data/site/content/tumblog/200807/the-wisdom-of-the-dutch/index.txt", "spec/data/site/content/tumblog/200807/up-a-tree/index.txt", "spec/data/site/content/tumblog/index.txt", "spec/data/site/content/tumblog/rss.txt", "spec/data/site/layouts/default.txt", "spec/data/site/layouts/tumblog/default.txt", "spec/data/site/layouts/tumblog/post.txt"]
  s.files = ["History.txt", "README.rdoc", "Rakefile", "bin/webby", "bin/webby-gen", "examples/blog/Sitefile", "examples/blog/content/css/blueprint/ie.css", "examples/blog/content/css/blueprint/plugins/buttons/icons/cross.png", "examples/blog/content/css/blueprint/plugins/buttons/icons/key.png", "examples/blog/content/css/blueprint/plugins/buttons/icons/tick.png", "examples/blog/content/css/blueprint/plugins/buttons/readme.txt", "examples/blog/content/css/blueprint/plugins/buttons/screen.css", "examples/blog/content/css/blueprint/plugins/fancy-type/readme.txt", "examples/blog/content/css/blueprint/plugins/fancy-type/screen.css", "examples/blog/content/css/blueprint/plugins/link-icons/icons/doc.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/email.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/external.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/feed.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/im.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/pdf.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/visited.png", "examples/blog/content/css/blueprint/plugins/link-icons/icons/xls.png", "examples/blog/content/css/blueprint/plugins/link-icons/readme.txt", "examples/blog/content/css/blueprint/plugins/link-icons/screen.css", "examples/blog/content/css/blueprint/plugins/rtl/readme.txt", "examples/blog/content/css/blueprint/plugins/rtl/screen.css", "examples/blog/content/css/blueprint/print.css", "examples/blog/content/css/blueprint/screen.css", "examples/blog/content/css/blueprint/src/forms.css", "examples/blog/content/css/blueprint/src/grid.css", "examples/blog/content/css/blueprint/src/grid.png", "examples/blog/content/css/blueprint/src/ie.css", "examples/blog/content/css/blueprint/src/print.css", "examples/blog/content/css/blueprint/src/reset.css", "examples/blog/content/css/blueprint/src/typography.css", "examples/blog/content/css/coderay.css", "examples/blog/content/css/site.css", "examples/blog/layouts/default.txt", "examples/blog/tasks/blog.rake", "examples/blog/templates/atom_feed.erb", "examples/blog/templates/blog/month.erb", "examples/blog/templates/blog/post.erb", "examples/blog/templates/blog/year.erb", "examples/presentation/Sitefile", "examples/presentation/content/css/uv/twilight.css", "examples/presentation/content/presentation/_sample_code.txt", "examples/presentation/content/presentation/index.txt", "examples/presentation/content/presentation/s5/blank.gif", "examples/presentation/content/presentation/s5/bodybg.gif", "examples/presentation/content/presentation/s5/framing.css", "examples/presentation/content/presentation/s5/iepngfix.htc", "examples/presentation/content/presentation/s5/opera.css", "examples/presentation/content/presentation/s5/outline.css", "examples/presentation/content/presentation/s5/pretty.css", "examples/presentation/content/presentation/s5/print.css", "examples/presentation/content/presentation/s5/s5-core.css", "examples/presentation/content/presentation/s5/slides.css", "examples/presentation/content/presentation/s5/slides.js", "examples/presentation/layouts/presentation.txt", "examples/presentation/templates/_code_partial.erb", "examples/presentation/templates/presentation.erb", "examples/tumblog/Sitefile", "examples/tumblog/content/css/tumblog.css", "examples/tumblog/content/images/tumblog/permalink.gif", "examples/tumblog/content/images/tumblog/rss.gif", "examples/tumblog/content/tumblog/200806/the-noble-chicken/index.txt", "examples/tumblog/content/tumblog/200807/historical-perspectives-on-the-classic-chicken-joke/index.txt", "examples/tumblog/content/tumblog/200807/mad-city-chickens/index.txt", "examples/tumblog/content/tumblog/200807/the-wisdom-of-the-dutch/index.txt", "examples/tumblog/content/tumblog/200807/up-a-tree/index.txt", "examples/tumblog/content/tumblog/index.txt", "examples/tumblog/content/tumblog/rss.txt", "examples/tumblog/layouts/tumblog/default.txt", "examples/tumblog/layouts/tumblog/post.txt", "examples/tumblog/lib/tumblog_helper.rb", "examples/tumblog/tasks/tumblog.rake", "examples/tumblog/templates/atom_feed.erb", "examples/tumblog/templates/tumblog/conversation.erb", "examples/tumblog/templates/tumblog/link.erb", "examples/tumblog/templates/tumblog/photo.erb", "examples/tumblog/templates/tumblog/post.erb", "examples/tumblog/templates/tumblog/quote.erb", "examples/webby/Sitefile", "examples/webby/content/communicate/index.txt", "examples/webby/content/css/background.gif", "examples/webby/content/css/blueprint/print.css", "examples/webby/content/css/blueprint/screen.css", "examples/webby/content/css/coderay.css", "examples/webby/content/css/site.css", "examples/webby/content/css/uv/twilight.css", "examples/webby/content/index.txt", "examples/webby/content/learn/index.txt", "examples/webby/content/reference/index.txt", "examples/webby/content/release-notes/index.txt", "examples/webby/content/release-notes/rel-0-9-0/index.txt", "examples/webby/content/release-notes/rel-0-9-1/index.txt", "examples/webby/content/release-notes/rel-0-9-2/index.txt", "examples/webby/content/release-notes/rel-0-9-3/index.txt", "examples/webby/content/release-notes/rel-0-9-4/index.txt", "examples/webby/content/robots.txt", "examples/webby/content/script/jquery.corner.js", "examples/webby/content/script/jquery.js", "examples/webby/content/sitemap.txt", "examples/webby/content/tips_and_tricks/index.txt", "examples/webby/content/tutorial/index.txt", "examples/webby/content/user-manual/index.txt", "examples/webby/layouts/default.txt", "examples/webby/templates/page.erb", "examples/website/Sitefile", "examples/website/content/css/blueprint/ie.css", "examples/website/content/css/blueprint/plugins/buttons/icons/cross.png", "examples/website/content/css/blueprint/plugins/buttons/icons/key.png", "examples/website/content/css/blueprint/plugins/buttons/icons/tick.png", "examples/website/content/css/blueprint/plugins/buttons/readme.txt", "examples/website/content/css/blueprint/plugins/buttons/screen.css", "examples/website/content/css/blueprint/plugins/fancy-type/readme.txt", "examples/website/content/css/blueprint/plugins/fancy-type/screen.css", "examples/website/content/css/blueprint/plugins/link-icons/icons/doc.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/email.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/external.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/feed.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/im.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/pdf.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/visited.png", "examples/website/content/css/blueprint/plugins/link-icons/icons/xls.png", "examples/website/content/css/blueprint/plugins/link-icons/readme.txt", "examples/website/content/css/blueprint/plugins/link-icons/screen.css", "examples/website/content/css/blueprint/plugins/rtl/readme.txt", "examples/website/content/css/blueprint/plugins/rtl/screen.css", "examples/website/content/css/blueprint/print.css", "examples/website/content/css/blueprint/screen.css", "examples/website/content/css/blueprint/src/forms.css", "examples/website/content/css/blueprint/src/grid.css", "examples/website/content/css/blueprint/src/grid.png", "examples/website/content/css/blueprint/src/ie.css", "examples/website/content/css/blueprint/src/print.css", "examples/website/content/css/blueprint/src/reset.css", "examples/website/content/css/blueprint/src/typography.css", "examples/website/content/css/coderay.css", "examples/website/content/css/site.css", "examples/website/content/index.txt", "examples/website/layouts/default.txt", "examples/website/lib/breadcrumbs.rb", "examples/website/templates/_partial.erb", "examples/website/templates/page.erb", "lib/webby.rb", "lib/webby/apps.rb", "lib/webby/apps/generator.rb", "lib/webby/apps/main.rb", "lib/webby/auto_builder.rb", "lib/webby/builder.rb", "lib/webby/config.rb", "lib/webby/core_ext/enumerable.rb", "lib/webby/core_ext/hash.rb", "lib/webby/core_ext/kernel.rb", "lib/webby/core_ext/string.rb", "lib/webby/core_ext/time.rb", "lib/webby/filters.rb", "lib/webby/filters/basepath.rb", "lib/webby/filters/erb.rb", "lib/webby/filters/haml.rb", "lib/webby/filters/markdown.rb", "lib/webby/filters/maruku.rb", "lib/webby/filters/outline.rb", "lib/webby/filters/sass.rb", "lib/webby/filters/slides.rb", "lib/webby/filters/textile.rb", "lib/webby/filters/tidy.rb", "lib/webby/filters/wiki_words.rb", "lib/webby/helpers.rb", "lib/webby/helpers/capture_helper.rb", "lib/webby/helpers/coderay_helper.rb", "lib/webby/helpers/graphviz_helper.rb", "lib/webby/helpers/tag_helper.rb", "lib/webby/helpers/tex_img_helper.rb", "lib/webby/helpers/ultraviolet_helper.rb", "lib/webby/helpers/url_helper.rb", "lib/webby/journal.rb", "lib/webby/link_validator.rb", "lib/webby/renderer.rb", "lib/webby/resources.rb", "lib/webby/resources/db.rb", "lib/webby/resources/layout.rb", "lib/webby/resources/meta_file.rb", "lib/webby/resources/page.rb", "lib/webby/resources/partial.rb", "lib/webby/resources/resource.rb", "lib/webby/resources/static.rb", "lib/webby/stelan/mktemp.rb", "lib/webby/stelan/paginator.rb", "lib/webby/tasks/build.rake", "lib/webby/tasks/create.rake", "lib/webby/tasks/deploy.rake", "lib/webby/tasks/growl.rake", "lib/webby/tasks/validate.rake", "spec/core_ext/hash_spec.rb", "spec/core_ext/string_spec.rb", "spec/core_ext/time_spec.rb", "spec/data/hooligans/bad_meta_data_1.txt", "spec/data/hooligans/bad_meta_data_2.txt", "spec/data/html/anchor.html", "spec/data/html/external.html", "spec/data/html/invalid-relative.html", "spec/data/html/relative-anchor.html", "spec/data/html/relative-invalid-anchor.html", "spec/data/html/relative.html", "spec/data/outline/basic.out", "spec/data/outline/basic.txt", "spec/data/outline/no_clobber.out", "spec/data/outline/numbering.out", "spec/data/outline/numbering_only.out", "spec/data/outline/toc_range_1.out", "spec/data/outline/toc_range_2.out", "spec/data/outline/toc_style.out", "spec/data/site/Sitefile", "spec/data/site/content/_partial.txt", "spec/data/site/content/css/coderay.css", "spec/data/site/content/css/site.css", "spec/data/site/content/css/tumblog.css", "spec/data/site/content/images/tumblog/permalink.gif", "spec/data/site/content/images/tumblog/rss.gif", "spec/data/site/content/index.txt", "spec/data/site/content/photos.txt", "spec/data/site/content/tumblog/200806/the-noble-chicken/index.txt", "spec/data/site/content/tumblog/200807/historical-perspectives-on-the-classic-chicken-joke/index.txt", "spec/data/site/content/tumblog/200807/mad-city-chickens/index.txt", "spec/data/site/content/tumblog/200807/the-wisdom-of-the-dutch/index.txt", "spec/data/site/content/tumblog/200807/up-a-tree/index.txt", "spec/data/site/content/tumblog/index.txt", "spec/data/site/content/tumblog/rss.txt", "spec/data/site/layouts/default.txt", "spec/data/site/layouts/tumblog/default.txt", "spec/data/site/layouts/tumblog/post.txt", "spec/data/site/lib/breadcrumbs.rb", "spec/data/site/lib/tumblog_helper.rb", "spec/data/site/tasks/tumblog.rake", "spec/data/site/templates/_partial.erb", "spec/data/site/templates/atom_feed.erb", "spec/data/site/templates/page.erb", "spec/data/site/templates/presentation.erb", "spec/data/site/templates/tumblog/conversation.erb", "spec/data/site/templates/tumblog/link.erb", "spec/data/site/templates/tumblog/photo.erb", "spec/data/site/templates/tumblog/post.erb", "spec/data/site/templates/tumblog/quote.erb", "spec/spec.opts", "spec/spec_helper.rb", "spec/webby/apps/generator_spec.rb", "spec/webby/apps/main_spec.rb", "spec/webby/filters/basepath_spec.rb", "spec/webby/filters/maruku_spec.rb", "spec/webby/filters/outline_spec.rb", "spec/webby/filters/textile_spec.rb", "spec/webby/helpers/capture_helper_spec.rb", "spec/webby/link_validator_spec.rb", "spec/webby/renderer_spec.rb", "spec/webby/resources/db_spec.rb", "spec/webby/resources/layout_spec.rb", "spec/webby/resources/meta_file_spec.rb", "spec/webby/resources/page_spec.rb", "spec/webby/resources/partial_spec.rb", "spec/webby/resources/resource_spec.rb", "spec/webby/resources/static_spec.rb", "spec/webby/resources_spec.rb", "tasks/ann.rake", "tasks/bones.rake", "tasks/gem.rake", "tasks/git.rake", "tasks/mswin32.rake", "tasks/notes.rake", "tasks/post_load.rake", "tasks/rdoc.rake", "tasks/rubyforge.rake", "tasks/setup.rb", "tasks/spec.rake", "tasks/svn.rake", "tasks/test.rake", "tasks/website.rake", "tasks/zentest.rake"]
  s.homepage = %q{http://webby.rubyforge.org/}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{webby}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Awesome static website creation and management!}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<directory_watcher>, [">= 1.1.2"])
      s.add_runtime_dependency(%q<hpricot>, [">= 0.6.0"])
      s.add_runtime_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_runtime_dependency(%q<logging>, [">= 0.9.7"])
      s.add_runtime_dependency(%q<loquacious>, [">= 1.3.0"])
      s.add_runtime_dependency(%q<rake>, [">= 0.8.4"])
      s.add_runtime_dependency(%q<rspec>, [">= 1.2.2"])
      s.add_development_dependency(%q<bones>, [">= 2.5.0"])
    else
      s.add_dependency(%q<directory_watcher>, [">= 1.1.2"])
      s.add_dependency(%q<hpricot>, [">= 0.6.0"])
      s.add_dependency(%q<launchy>, [">= 0.3.2"])
      s.add_dependency(%q<logging>, [">= 0.9.7"])
      s.add_dependency(%q<loquacious>, [">= 1.3.0"])
      s.add_dependency(%q<rake>, [">= 0.8.4"])
      s.add_dependency(%q<rspec>, [">= 1.2.2"])
      s.add_dependency(%q<bones>, [">= 2.5.0"])
    end
  else
    s.add_dependency(%q<directory_watcher>, [">= 1.1.2"])
    s.add_dependency(%q<hpricot>, [">= 0.6.0"])
    s.add_dependency(%q<launchy>, [">= 0.3.2"])
    s.add_dependency(%q<logging>, [">= 0.9.7"])
    s.add_dependency(%q<loquacious>, [">= 1.3.0"])
    s.add_dependency(%q<rake>, [">= 0.8.4"])
    s.add_dependency(%q<rspec>, [">= 1.2.2"])
    s.add_dependency(%q<bones>, [">= 2.5.0"])
  end
end
